Bug 2249255 - irqbalance-1.9.4 is available
Summary: irqbalance-1.9.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: irqbalance
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-11 17:44 UTC by Upstream Release Monitoring
Modified: 2024-04-19 09:36 UTC (History)
3 users (show)

Fixed In Version: irqbalance-1.9.4-1.fc41
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-19 09:36:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Update to 1.9.3 (#2249255) (1.02 KB, patch)
2023-11-11 17:44 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 1.9.4 (#2249255) (1.02 KB, patch)
2024-03-20 18:26 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2023-11-11 17:44:25 UTC
Releases retrieved: 1.9.3
Upstream release that is considered latest: 1.9.3
Current version/release in rawhide: 1.9.2-2.fc39
URL: https://github.com/Irqbalance/irqbalance

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1402/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/irqbalance

Comment 1 Upstream Release Monitoring 2023-11-11 17:44:34 UTC
Created attachment 1998680 [details]
Update to 1.9.3 (#2249255)

Comment 2 Upstream Release Monitoring 2023-11-11 17:53:05 UTC
the-new-hotness/release-monitoring.org's scratch build of irqbalance-1.9.3-1.fc38.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=108907317

Comment 3 Upstream Release Monitoring 2024-03-20 18:26:16 UTC
Releases retrieved: 1.9.4
Upstream release that is considered latest: 1.9.4
Current version/release in rawhide: 1.9.2-4.fc40
URL: https://github.com/Irqbalance/irqbalance

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1402/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/irqbalance

Comment 4 Upstream Release Monitoring 2024-03-20 18:26:20 UTC
Created attachment 2022766 [details]
Update to 1.9.4 (#2249255)

Comment 5 Upstream Release Monitoring 2024-03-20 18:33:24 UTC
the-new-hotness/release-monitoring.org's scratch build of irqbalance-1.9.4-1.fc38.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=115214045

Comment 6 Xose Vazquez Perez 2024-03-21 17:31:30 UTC
(In reply to Upstream Release Monitoring from comment #3)

> Releases retrieved: 1.9.4
> Upstream release that is considered latest: 1.9.4
> Current version/release in rawhide: 1.9.2-4.fc40
> URL: https://github.com/Irqbalance/irqbalance
> Based on the information from Anitya: https://release-monitoring.org/project/1402/
> To change the monitoring settings for the project, please visit: https://src.fedoraproject.org/rpms/irqbalance

* Minor bugfix/feature release v1.9.4:
   - fixed affinity setting with fflush prior to close
   - fixed the ui socket getting blocked for multiple seconds at a time
   - Improved systemd hardening by dropping unneded privs
   - avoid some repeated affinity checks
   - silence some unneeded messages in logs
   - filter console only output when running in journal mode
   - enable systemd by default in meson build files
   - Add man pages to meson build

* Minor bugfix/feature release v1.9.3:
   - set irqbalance to use systemd journaling calls when running under systemd
      (instead of having systemd capture stdout/stderr)
   - fix a few activate_mapping false errors
   - flush buffered data to smp_affinity to confirm successful affinity update
   - fix regex initialization when scanning for interrupt names
   - skip EINTR errors in thermal detection
   - fix ui black background repainting
   - fix a memory leak in the irq hotplug path
   - fix irq name parsing on some arm64 SoC's
   - allow AF_NETLINK when using thermal monitoring in systemd

Comment 7 Fedora Update System 2024-04-19 09:33:02 UTC
FEDORA-2024-fb5e14c1f8 (irqbalance-1.9.4-1.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-fb5e14c1f8

Comment 8 Fedora Update System 2024-04-19 09:36:26 UTC
FEDORA-2024-fb5e14c1f8 (irqbalance-1.9.4-1.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.